package com.ruoyi.ibs.grid.domain.excel;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

public class NewPersonAnchor implements Serializable {
    /**
     * 客户类型，个人/商户/企业
     */
    @Excel(name = "客户类型，个人*", prompt = "必填")
    private String custType;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    @Excel(name = "客户号")
    private String custId;

    @Excel(name = "客户内码")
    private String custIsn;
    /**
     * 证件类型
     */
    @Excel(name = "证件类型(居民二代身份证)*", prompt = "必填")
    private String custIdType;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    @Excel(name = "客户名称*", prompt = "必填")
    private String anchorName;

    @Excel(name = "证件号*", prompt = "必填")
    private String legalId;

    /**
     * 锚点描述，用户在人工审核页填写的备注，在锚点编辑页填写的锚点备注
     */
    @Excel(name = "锚点描述")
    private String anchorRemark;
    /**
     * 地址，用户导入/编辑输入/图商返回，原地址取值
     */
    @Excel(name = "家庭地址（地址至少填写一项）")
    private String addressJt;

    @Excel(name = "工作地址（地址至少填写一项）")
    private String addressGz;

    @Excel(name = "户籍地址（地址至少填写一项）")
    private String addressHj;

    @Excel(name = "常住地址（地址至少填写一项）")
    private String addressCz;

    @Excel(name = "身份证地址（地址至少填写一项）")
    private String addressSfz;

    @Excel(name = "联系地址（地址至少填写一项）")
    private String addressLx;

    @Excel(name = "所在行业")
    private String belongBusiness;

    public String getAddressCz() {
        return addressCz;
    }

    public void setAddressCz(String addressCz) {
        this.addressCz = addressCz;
    }

    public String getAddressSfz() {
        return addressSfz;
    }

    public void setAddressSfz(String addressSfz) {
        this.addressSfz = addressSfz;
    }

    public String getAddressLx() {
        return addressLx;
    }

    public void setAddressLx(String addressLx) {
        this.addressLx = addressLx;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getCustIdType() {
        return custIdType;
    }

    public void setCustIdType(String custIdType) {
        this.custIdType = custIdType;
    }

    public String getLegalId() {
        return legalId;
    }

    public void setLegalId(String legalId) {
        this.legalId = legalId;
    }

    public String getAddressJt() {
        return addressJt;
    }

    public void setAddressJt(String addressJt) {
        this.addressJt = addressJt;
    }

    public String getAddressGz() {
        return addressGz;
    }

    public void setAddressGz(String addressGz) {
        this.addressGz = addressGz;
    }

    public String getAddressHj() {
        return addressHj;
    }

    public void setAddressHj(String addressHj) {
        this.addressHj = addressHj;
    }

    public String getAnchorRemark() {
        return anchorRemark;
    }

    public void setAnchorRemark(String anchorRemark) {
        this.anchorRemark = anchorRemark;
    }
}
